import React from "react";
import useInputFieldState from "../../custom-hooks/useInputFieldState";
import SkeletonThemeWrapper from "../../customization-cornor/skeletonCustomization";
export default function TextareaBehaviour(props) {
  const [value, onChangeWrapping] = useInputFieldState(props, props.reducer);
  const renderProps = {};
  const {
    renderComponent,
    ...basicProps
  } = props;
  return /*#__PURE__*/React.createElement(SkeletonThemeWrapper, {
    basicProps: { ...basicProps,
      onChange: onChangeWrapping,
      value
    },
    renderProps: renderProps,
    component: renderComponent
  });
}
export function TextareaControlledBehaviour(props) {
  const renderProps = {};
  const {
    renderComponent,
    ...basicProps
  } = props;
  return /*#__PURE__*/React.createElement(SkeletonThemeWrapper, {
    basicProps: basicProps,
    renderProps: renderProps,
    component: renderComponent
  });
}